### Constructor

# Adw CallbackAnimationTargetnew

#### Declaration [src]

    AdwAnimationTarget*
    adw_callback_animation_target_new (
      AdwAnimationTargetFunc callback,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Creates a new `AdwAnimationTarget` that calls the given `callback` during the animation.

#### Parameters

`callback`

  Type: `AdwAnimationTargetFunc`

  The callback to call.

`user_data`

  Type: `gpointer`

  The data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  The function to be called when the callback action is finalized.

#### Return value

Type: `AdwAnimationTarget`

The newly created callback target.

The caller of the function takes ownership of the data, and is responsible for freeing it.